import request from '@/framework/utils/request';


//查询菜单模块字典列表
export function getMenuModuleDicts(params: any = {}) {
  return request({ url: '/sms/menuModuleDicts', method: 'get', params });
}
//查询操作日志列表
export function getOperationLogs(params: any = {}) {
  return request({ url: '/sms/operationLogs', method: 'get', params });
}

//获取接口文档子系统列表
export function getAbacusAPISubsystems(params: any = {}) {
  return request({ url: '/sms/document/abacusAPI/subsystem', method: 'get', params });
}

//获取子系统接口文档列表
export function getAbacusAPIs(data: any = {}) {
  return request({ headers: {'Content-Type': 'application/x-www-form-urlencoded'}, url: '/sms/document/abacusAPI/list', method: 'post', data });
}

//导出子系统接口文档
export function exportAbacusAPIs(data: any = {}) {
  return request({ url: '/sms/document/abacusAPI/export', method: 'post', data });
}



//获取数据字典子系统列表
export function getDataDictionarySubsystems(params: any = {}) {
  return request({ url: '/sms/document/dataDictionary/subsystem', method: 'get', params });
}

//获取子系统数据字典列表
export function getDataDictionarys(data: any = {}) {
  return request({ headers: {'Content-Type': 'application/x-www-form-urlencoded'}, url: '/sms/document/dataDictionary/list', method: 'post', data });
}

//导出子系统数据字典
export function exportDataDictionarys(data: any = {}) {
  return request({ headers: {'Content-Type': 'application/x-www-form-urlencoded'},url: '/sms/document/dataDictionary/export', method: 'post', data });
}

//获取打印模板列表
export function queryPrintSet(params: any = {}) {
  return request({ url: '/sms/printset/queryPrintSet.do', method: 'get', params });
}

//保存打印模板
export function mergePrintSet(data: any = {}) {
  return request({ headers: {'Content-Type': 'application/x-www-form-urlencoded'}, url: '/sms/printset/mergePrintSet.do', method: 'post', data });
}
//打印模板设计
export function printDesign(data: any = {}) {
  return request({ headers: {'Content-Type': 'application/x-www-form-urlencoded'}, url: '/sms/printset/printDesign.do', method: 'post', data });
}

//打印
export function printsetPrint(data: any = {}) {
  return request({ headers: {'Content-Type': 'application/x-www-form-urlencoded'}, url: '/sms/printset/print.do', method: 'post', data });
}


